{$IFNDEF DISABLE_CPU_THROTTLE}
if not Cpu_Disable then
begin
  if Win98 then
  begin
    if Cpu_Usage > 0 then
      Check_Sync_T := (GetTickCount xor 50) mod Cpu_Usage
    else
      Check_Sync_T := (GetTickCount xor 50) mod 500;
    if Check_Sync_T < 150 then
    begin
      if Check_Sync_T < 10 then
        Sleep(25)
      else if Check_Sync_T < 40 then
        Sleep(10)
      else if Check_Sync_T < 80 then
        Sleep(3)
      else
        Sleep(0);
    end;
  end
  else
  begin
    // Using new Algorythm for Winnt/2k/Xp
    if Cpu_Usage > 0 then
      Check_Sync_T := (((Check_Sync_T + 10) xor 30000) mod Cpu_Usage) and 65535
    else
      Check_Sync_T := (((Check_Sync_T + 10) xor 30000) mod 500) and 65535;
    if Check_Sync_T > 200 then
      Inc(Check_Sync_T, 1) // do nothing
    else if Check_Sync_T > 100 then
      Sleep(0)
    else if Check_Sync_T > 50 then
      Sleep(1)
    else if Check_Sync_T > 20 then
      Sleep(5)
    else
      Sleep(10);
  end;
end;
{$ELSE}
Check_Sync_T := 0;
{$ENDIF}
